Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ow2.jasmine.vmm.api
Class InvalidVMConfigException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.ow2.jasmine.vmm.api.VMMException
                  org.ow2.jasmine.vmm.api.InvalidVMConfigException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidVMConfigException

extends VMMException

Thrown if the a VM configuration is invalid

See Also:
  Serialized Form

Constructor Summary
`InvalidVMConfigException()` Constructs a new exception with null as its detail message.
`InvalidVMConfigException(java.lang.String message)` Constructs a new exception with the specified detail message.
`InvalidVMConfigException(java.lang.String message, java.lang.Throwable cause)` Constructs a new exception with the specified cause and a detail message of (cause==null ? null : cause.toString())
`InvalidVMConfigException(java.lang.Throwable cause)` Constructs a new exception with the specified cause and a detail message of (cause==null ? null : cause.toString())

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidVMConfigException

    public InvalidVMConfigException()

  Constructs a new exception with null as its detail message.

### InvalidVMConfigException

    public InvalidVMConfigException(java.lang.String message)

  Constructs a new exception with the specified detail message.

  Parameters:
    `message` - detail message

### InvalidVMConfigException

    public InvalidVMConfigException(java.lang.String message,
                                    java.lang.Throwable cause)

  Constructs a new exception with the specified cause and a detail message of (cause==null ? null : cause.toString())

  Parameters:
    `cause` - the cause

### InvalidVMConfigException

    public InvalidVMConfigException(java.lang.Throwable cause)

  Constructs a new exception with the specified cause and a detail message of (cause==null ? null : cause.toString())

  Parameters:
    `cause` - the cause

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 OW2 Consortium. All Rights Reserved.